Skip to main content
GET
/
poll
/
v1
/
evaluations
List poll evaluations of the company
curl --request GET \
  --url https://api-{region}.sesametime.com/poll/v1/evaluations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/poll/v1/evaluations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/poll/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "anonymous": true,
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "createdBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "secondLastName": "<string>",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "email": "jsmith@example.com",
        "workCheckTypeColor": "#FF0000",
        "workCheckTypeName": "Remote"
      },
      "evaluationType": "poll",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "publishType": "active",
      "showResults": true,
      "title": "Title of the evaluation poll",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "description": "Description of the evaluation",
      "endDate": "2020-01-01T10:00:00+01:00",
      "evaluators": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        }
      ],
      "form": [
        {
          "createdAt": "2020-01-01T10:00:00+01:00",
          "formName": "Name of the form",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "Title of the evaluation form",
          "type": "killer_question",
          "updatedAt": "2020-01-01T10:00:00+01:00",
          "answeredAt": "2020-01-01T10:00:00+01:00",
          "blocks": [
            {}
          ],
          "description": "Description of the form",
          "evaluations": true,
          "questions": [
            {
              "createdAt": "2020-01-01T10:00:00+01:00",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "Name of the question",
              "order": 500,
              "required": true,
              "type": "text",
              "updatedAt": "2020-01-01T10:00:00+01:00",
              "block": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "anonymous": true,
              "description": "Description of the question",
              "options": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "option": "Text of the option",
                  "order": 1,
                  "knockout": true,
                  "score": 123
                }
              ],
              "scoreMax": 500,
              "subBlockId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tags": [
                "<string>"
              ]
            }
          ],
          "scoreMax": 500,
          "showScore": true,
          "status": "<string>",
          "subTitle": "Subtitle of the evaluation form",
          "isEvaluator": true
        }
      ],
      "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scheduleType": "manual",
      "startDate": "2020-01-01T10:00:00+01:00",
      "averageMood": 123,
      "canBeActivated": true,
      "companyAssigned": true,
      "employees": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        }
      ],
      "employeesEvaluated": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        }
      ],
      "eNps": 123,
      "hasAnswered": true,
      "hasRecurrence": true,
      "numberEmployeesAnswered": 123,
      "numberEmployeesAssigned": 123,
      "numberEmployeesEvaluated": 123,
      "numberOfLaunches": 123,
      "numberSupervisors": 123,
      "sendDate": "2020-01-01T10:00:00+01:00",
      "totalEmployees": 123,
      "totalEmployeesAssignedAndGrouped": 123
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

evaluationId
string<uuid>

Find Evaluation by evaluationId

title
string

Find Evaluation by name

formType
enum<string>

Supported form types:

Available options:
degree_360,
engagement,
enps,
killer_question,
leadership,
nine_box,
nom_35_mx,
nom_37_mx,
performance,
ranking,
request_type,
satisfaction,
standard,
template,
work_environment
view
enum<string>

View for the poll

Available options:
recruitment,
admin,
employee
limit
integer
default:20

Limit evaluations

Required range: 1 <= x <= 100
page
integer
default:1

Request a specific page

Required range: x >= 1
orderBy
string

Sort evaluations by one or more fields in ascending (asc) or descending (desc) order. Format: 'field1 asc, field2 desc'. Valid fields are: updateAt, title, publishType, hasRecurrence, hasAnswers, employees, evaluated, evaluators, answers, lastSendDate

Response

200 - application/json

Array of objects

data
object[]
required
meta
object
required